import { paddingLeft } from "html2canvas/dist/types/css/property-descriptors/padding";

export const useSnakeLayoutHook = (
  nodes: any[],
  canvasHeight: number = 100,
  spacingY: number = 100,
  spacingX: number = 200
) => {
  const snakeNodes = [];

  // 内边距
  const paddingTop = 35;
  const paddingLeft = 15;

  console.log("hook", nodes);

  // 这是每一个个列的数量  列数量
  const nodesPerColumn = 6; //Math.floor(canvasHeight / spacingY);

  // console.log(canvasHeight, canvasHeight / spacingY);

  nodes.forEach((node, index) => {
    const col = Math.floor(index / nodesPerColumn);
    const row = index % nodesPerColumn;

    // 根据行号计算位置，奇数列从下到上，偶数列从上到下
    const adjustedRow = row;
    // const adjustedRow = col % 2 === 0 ? row : nodesPerColumn - 1 - row;

    node.position = {
      x: col * spacingX + paddingLeft,
      y: adjustedRow * spacingY + paddingTop,
    };

    // 更新奇数列的 handle 处理
    // if (col % 2 !== 0) {
    //   // 奇数列的节点调整 handle 位置
    //   node.data.handleDirection = 'toTop'; //如果是第二列 也就是奇数列 调整箭头向上
    // } else {
    //   node.data.handleDirection = 'toDown';
    // }

    snakeNodes.push(node);
  });
  return snakeNodes;
};
